#include "preview.hpp"

namespace rrr::content_type
{
  void preview::fill(std::filesystem::path PWD)
  {
    if (std::filesystem::is_directory(PWD))
      data = file_utils::fill(PWD);
    else 
      data.clear();
  }
}
